Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::ProxyHomeRegistration Interface Reference

`import "CCM_Container_Ex.idl";`

Inheritance diagram for Components::ProxyHomeRegistration:

[legend]
Collaboration diagram for Components::ProxyHomeRegistration:

[legend]
List of all members.

## Public Methods
void | register_proxy_home (in CCMHome rhome, in CCMHome ahome) raises (UnknownActualHome, ProxyHomeNotSupported)
void | register_proxy_home (in CCMHome rhome, in CCMHome ahome) raises (UnknownActualHome, ProxyHomeNotSupported)

## Member Function Documentation

void Components::ProxyHomeRegistration::register_proxy_home | ( | in CCMHome | rhome,
|  | in CCMHome | ahome
| ) | raises (UnknownActualHome, ProxyHomeNotSupported)

void Components::ProxyHomeRegistration::register_proxy_home | ( | in CCMHome | rhome,
|  | in CCMHome | ahome
| ) | raises (UnknownActualHome, ProxyHomeNotSupported)

The documentation for this interface was generated from the following files:

- CCM_Container_Ex.idl
- Component_Base.idl